Bug 859302 - (CVE-2012-4438) CVE-2012-4438 Jenkins: core allows unprivileged users to insert data into Jenkins master
CVE-2012-4438 Jenkins: core allows unprivileged users to insert data into Jen...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120917,repor...
: Security
Depends On: 859305
Blocks: 861484
  Show dependency treegraph
 
Reported: 2012-09-20 23:53 EDT by Kurt Seifried
Modified: 2012-12-14 14:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-14 14:36:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-09-20 23:53:24 EDT
Jenkins Security Advisory 2012-09-17

The first vulnerability in Jenkins core allows unprivileged users to insert 
data into Jenkins master, which can lead to remote code execution. For this 
vulnerability to be exploited, the attacker must have an HTTP access to a 
Jenkins master, and he must have a read access to Jenkins.

The following versions incorporate fixes to the vulnerabilities found in the 
Jenkins core.
-Main line users should upgrade to Jenkins 1.482
-LTS users should upgrade to 1.466.2

External reference:
http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-09-17.cb

Note You need to log in before you can comment on or make changes to this bug.